import { ElementRef, EventEmitter } from '@angular/core';
import { AxisBase } from './axis-base';
import { ScaleLinear } from 'd3-scale';
import { ChartComponent } from '../chart.component';
import { ChartUtils } from "../chart.utils";
import * as i0 from "@angular/core";
export declare class YAxisDirective extends AxisBase {
    align: 'left' | 'right' | 'center';
    domain: [number, number];
    scaleUpdated: EventEmitter<ScaleLinear<number, number>>;
    scale: ScaleLinear<number, number>;
    constructor(elRef: ElementRef, chart: ChartComponent, chartUtils: ChartUtils);
    createAxis(): void;
    setTicks(): void;
    setDomain(): void;
    positionLabel(): void;
    render(): void;
    private _getAxisTranslation;
    static ɵfac: i0.ɵɵFactoryDeclaration<YAxisDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<YAxisDirective, "[nw-y-axis]", ["nw-y-axis"], { "align": { "alias": "align"; "required": false; }; "domain": { "alias": "domain"; "required": false; }; }, { "scaleUpdated": "scaleUpdated"; }, never, never, false, never>;
}
