import { AfterViewInit, ElementRef, OnChanges, Renderer2, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ChartTooltipDirective implements OnChanges, AfterViewInit {
    private _elRef;
    private _renderer;
    position: [number, number];
    chartWidth: number;
    chartHeight: number;
    chartMargins: {
        top?: number;
        bottom?: number;
        left?: number;
        right?: number;
    };
    offsetX: number;
    private _width;
    private _height;
    constructor(_elRef: ElementRef, _renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private _setTooltipSize;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartTooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ChartTooltipDirective, "[nwChartTooltip]", never, { "position": { "alias": "position"; "required": false; }; "chartWidth": { "alias": "chartWidth"; "required": false; }; "chartHeight": { "alias": "chartHeight"; "required": false; }; "chartMargins": { "alias": "chartMargins"; "required": false; }; "offsetX": { "alias": "offsetX"; "required": false; }; }, {}, never, never, false, never>;
}
