import { OnInit, ElementRef, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { DropdownService } from "./dropdown.service";
import * as i0 from "@angular/core";
export declare class DropdownToggleDirective implements OnInit, OnDestroy {
    private _service;
    private _elRef;
    private _cdRef;
    nwTrigger: "click" | "hover";
    breakpoint: number;
    isOpen: boolean;
    private _isMousingOver;
    private _mouseEventSubscriptions;
    private _toggleSub$;
    constructor(_service: DropdownService, _elRef: ElementRef, _cdRef: ChangeDetectorRef);
    ngOnInit(): void;
    private _isMobileScreenSize;
    private _subscribeToToggle;
    private _open;
    private _close;
    toggle(event: MouseEvent): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownToggleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownToggleDirective, "[nwDropdownToggle]", ["nw-dropdown-toggle"], { "nwTrigger": { "alias": "nwTrigger"; "required": false; }; "breakpoint": { "alias": "breakpoint"; "required": false; }; }, {}, never, never, false, never>;
}
