import { Component, Input, ChangeDetectionStrategy } from "@angular/core";
import { trigger, transition, animate, style } from "@angular/animations";
import * as i0 from "@angular/core";
import * as i1 from "./feature-alerts.service";
import * as i2 from "@angular/common";
function HotspotComponent_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div");
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵclassMapInterpolate1("hotspot hotspot-", ctx_r0.position, "");
    i0.ɵɵproperty("@fadeOut", undefined);
} }
export class HotspotComponent {
    constructor(_featureAlertsService, _cdRef) {
        this._featureAlertsService = _featureAlertsService;
        this._cdRef = _cdRef;
        this.position = "left";
    }
    get isOpen() {
        return !this._featureAlertsService.wasAlertDismissed(this.id);
    }
    dismiss() {
        this._featureAlertsService.dismiss(this.id);
        this._cdRef.detectChanges();
    }
}
HotspotComponent.ɵfac = function HotspotComponent_Factory(t) { return new (t || HotspotComponent)(i0.ɵɵdirectiveInject(i1.FeatureAlertsService), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
HotspotComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: HotspotComponent, selectors: [["nw-hotspot"]], inputs: { position: "position", id: "id" }, decls: 1, vars: 1, consts: [[3, "class", 4, "ngIf"]], template: function HotspotComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, HotspotComponent_div_0_Template, 1, 4, "div", 0);
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.isOpen);
    } }, dependencies: [i2.NgIf], encapsulation: 2, data: { animation: [
            trigger('fadeOut', [
                transition(':leave', [
                    style({ opacity: 0.5 }),
                    animate(300, style({ opacity: 0 }))
                ])
            ])
        ] }, changeDetection: 0 });
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(HotspotComponent, [{
        type: Component,
        args: [{
                selector: 'nw-hotspot',
                template: `
        <div [@fadeOut] *ngIf="isOpen" class="hotspot hotspot-{{position}}"></div>
    `,
                animations: [
                    trigger('fadeOut', [
                        transition(':leave', [
                            style({ opacity: 0.5 }),
                            animate(300, style({ opacity: 0 }))
                        ])
                    ])
                ],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], () => [{ type: i1.FeatureAlertsService }, { type: i0.ChangeDetectorRef }], { position: [{
            type: Input
        }], id: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(HotspotComponent, { className: "HotspotComponent" }); })();
