import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { trigger, transition, style, animate } from "@angular/animations";
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
function LoaderComponent_div_0_span_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "span");
} if (rf & 2) {
    const d_r1 = ctx.$implicit;
    i0.ɵɵclassMapInterpolate1("dot dot-", d_r1, "");
} }
function LoaderComponent_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 1)(1, "div", 2)(2, "div", 3);
    i0.ɵɵtemplate(3, LoaderComponent_div_0_span_3_Template, 1, 3, "span", 4);
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("loader-inline", ctx_r1.isInline)("loader-color", ctx_r1.isColor);
    i0.ɵɵproperty("@delayAndFadeIn", ctx_r1.animParams)("ngClass", ctx_r1.sizeClass);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngForOf", ctx_r1.dots);
} }
export class LoaderComponent {
    constructor() {
        this.isLoading = false;
        this.numOfDots = 6;
        this.size = 'md';
        this.isColor = true;
        this.isInline = false;
        this.delayMs = 700;
        this.fadeInMs = 700;
    }
    ngOnInit() {
        this.animParams = {
            value: '',
            params: {
                duration: this.fadeInMs,
                delay: this.delayMs
            }
        };
    }
    get dots() {
        return Array(this.numOfDots).fill(0).map((x, i) => i + 1);
    }
    get sizeClass() {
        return `loader-${this.size}`;
    }
}
LoaderComponent.ɵfac = function LoaderComponent_Factory(t) { return new (t || LoaderComponent)(); };
LoaderComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: LoaderComponent, selectors: [["nw-loader"]], inputs: { isLoading: "isLoading", numOfDots: "numOfDots", size: "size", isColor: "isColor", isInline: "isInline", delayMs: "delayMs", fadeInMs: "fadeInMs" }, exportAs: ["nw-loader"], decls: 1, vars: 1, consts: [["class", "loader", 3, "ngClass", "loader-inline", "loader-color", 4, "ngIf"], [1, "loader", 3, "ngClass"], [1, "dots-icon-wrapper"], [1, "dots"], [3, "class", 4, "ngFor", "ngForOf"]], template: function LoaderComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, LoaderComponent_div_0_Template, 4, 7, "div", 0);
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.isLoading);
    } }, dependencies: [i1.NgClass, i1.NgForOf, i1.NgIf], encapsulation: 2, data: { animation: [
            trigger('delayAndFadeIn', [
                transition(':enter', [
                    style({ opacity: 0 }),
                    animate(`{{duration}}ms {{delay}}ms linear`, style({ opacity: 1 }))
                ])
            ])
        ] }, changeDetection: 0 });
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(LoaderComponent, [{
        type: Component,
        args: [{
                selector: 'nw-loader',
                template: `
        <div *ngIf="isLoading" class="loader" [@delayAndFadeIn]="animParams"
            [ngClass]="sizeClass"
            [class.loader-inline]="isInline"
            [class.loader-color]="isColor">
            <div class="dots-icon-wrapper">
                <div class="dots">
                    <span *ngFor="let d of dots" class="dot dot-{{d}}"></span>
                </div>
            </div>
        </div>
    `,
                exportAs: 'nw-loader',
                animations: [
                    trigger('delayAndFadeIn', [
                        transition(':enter', [
                            style({ opacity: 0 }),
                            animate(`{{duration}}ms {{delay}}ms linear`, style({ opacity: 1 }))
                        ])
                    ])
                ],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], null, { isLoading: [{
            type: Input
        }], numOfDots: [{
            type: Input
        }], size: [{
            type: Input
        }], isColor: [{
            type: Input
        }], isInline: [{
            type: Input
        }], delayMs: [{
            type: Input
        }], fadeInMs: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(LoaderComponent, { className: "LoaderComponent" }); })();
