import { Directive, HostBinding, Input } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./tabs.service";
export class TabDirective {
    constructor(elRef, _tabsService) {
        this.elRef = elRef;
        this._tabsService = _tabsService;
        this.isActive = false;
    }
    ngOnChanges(changes) {
        const hasChanged = changes.isActive &&
            changes.isActive.previousValue !== changes.isActive.currentValue &&
            !changes.isActive.firstChange;
        if (hasChanged && this.isActive) {
            this._tabsService.notifyActiveChange(this);
        }
    }
}
TabDirective.ɵfac = function TabDirective_Factory(t) { return new (t || TabDirective)(i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i1.TabsService)); };
TabDirective.ɵdir = /*@__PURE__*/ i0.ɵɵdefineDirective({ type: TabDirective, selectors: [["", "nwTab", ""]], hostVars: 2, hostBindings: function TabDirective_HostBindings(rf, ctx) { if (rf & 2) {
        i0.ɵɵclassProp("active", ctx.isActive);
    } }, inputs: { isActive: "isActive" }, features: [i0.ɵɵNgOnChangesFeature] });
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TabDirective, [{
        type: Directive,
        args: [{
                selector: '[nwTab]'
            }]
    }], () => [{ type: i0.ElementRef }, { type: i1.TabsService }], { isActive: [{
            type: HostBinding,
            args: ['class.active']
        }, {
            type: Input
        }] }); })();
