import { ChangeDetectorRef, TemplateRef } from '@angular/core';
import { IToast } from './IToast';
import { Toast } from './Toast';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class ToastsComponent {
    private _cdRef;
    private _domSanitizer;
    toasts: Toast[];
    constructor(_cdRef: ChangeDetectorRef, _domSanitizer: DomSanitizer);
    isTemplateRef(value: string | TemplateRef<any>): boolean;
    getInnerHTML(message: string): SafeHtml;
    success(message: string | TemplateRef<any>): Toast;
    error(message: string | TemplateRef<any>): Toast;
    show(toast: IToast): Toast;
    dismiss(toast: Toast): void;
    removeToast(toast: Toast): void;
    getToastIndex(toast: Toast): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToastsComponent, "nw-toasts", never, {}, {}, never, never, false, never>;
}
