import { Component, ChangeDetectionStrategy, Inject, TemplateRef, EventEmitter } from "@angular/core";
import { TOOLTIP_CONTEXT_TOKEN } from "./config/tooltip-context-token";
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
function TooltipContainerComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 6);
} }
function TooltipContainerComponent_button_3_Template(rf, ctx) { if (rf & 1) {
    const _r1 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 7);
    i0.ɵɵlistener("click", function TooltipContainerComponent_button_3_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r1); const ctx_r1 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r1.close.emit()); });
    i0.ɵɵelementEnd();
} }
function TooltipContainerComponent_ng_container_4_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0);
} }
function TooltipContainerComponent_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TooltipContainerComponent_ng_container_4_ng_container_1_Template, 1, 0, "ng-container", 8);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r1.data.tooltip)("ngTemplateOutletContext", ctx_r1.data.templateRefContext);
} }
function TooltipContainerComponent_ng_template_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 9);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("outerHTML", ctx_r1.data.tooltip, i0.ɵɵsanitizeHtml);
} }
export class TooltipContainerComponent {
    constructor(data) {
        this.data = data;
        this.close = new EventEmitter();
        this.isTemplateRef = false;
        this.isTemplateRef = data.tooltip instanceof TemplateRef;
    }
}
TooltipContainerComponent.ɵfac = function TooltipContainerComponent_Factory(t) { return new (t || TooltipContainerComponent)(i0.ɵɵdirectiveInject(TOOLTIP_CONTEXT_TOKEN)); };
TooltipContainerComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TooltipContainerComponent, selectors: [["nw-tooltip-container"]], decls: 7, vars: 5, consts: [["stringTmpl", ""], [1, "tooltip", 3, "ngClass"], ["class", "tooltip-arrow", 4, "ngIf"], [1, "tooltip-inner"], ["class", "btn btn-ghost-alt btn-sm btn-close close-button", 3, "click", 4, "ngIf"], [4, "ngIf", "ngIfElse"], [1, "tooltip-arrow"], [1, "btn", "btn-ghost-alt", "btn-sm", "btn-close", "close-button", 3, "click"], [4, "ngTemplateOutlet", "ngTemplateOutletContext"], [3, "outerHTML"]], template: function TooltipContainerComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵelementStart(0, "div", 1);
        i0.ɵɵtemplate(1, TooltipContainerComponent_div_1_Template, 1, 0, "div", 2);
        i0.ɵɵelementStart(2, "div", 3);
        i0.ɵɵtemplate(3, TooltipContainerComponent_button_3_Template, 1, 0, "button", 4)(4, TooltipContainerComponent_ng_container_4_Template, 2, 2, "ng-container", 5)(5, TooltipContainerComponent_ng_template_5_Template, 1, 1, "ng-template", null, 0, i0.ɵɵtemplateRefExtractor);
        i0.ɵɵelementEnd()();
    } if (rf & 2) {
        const stringTmpl_r3 = i0.ɵɵreference(6);
        i0.ɵɵproperty("ngClass", ctx.data.containerClass);
        i0.ɵɵadvance();
        i0.ɵɵproperty("ngIf", ctx.data.withArrow);
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("ngIf", ctx.data.withClose);
        i0.ɵɵadvance();
        i0.ɵɵproperty("ngIf", ctx.isTemplateRef)("ngIfElse", stringTmpl_r3);
    } }, dependencies: [i1.NgClass, i1.NgIf, i1.NgTemplateOutlet], encapsulation: 2, changeDetection: 0 });
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TooltipContainerComponent, [{
        type: Component,
        args: [{
                selector: 'nw-tooltip-container',
                template: `
        <div class="tooltip"
            [ngClass]="data.containerClass">
            <div class="tooltip-arrow" *ngIf="data.withArrow"></div>
            <div class="tooltip-inner">
                <button *ngIf="data.withClose"
                    (click)="close.emit()"
                    class="btn btn-ghost-alt btn-sm btn-close close-button"></button>
                <ng-container *ngIf="isTemplateRef; else stringTmpl">
                    <ng-container *ngTemplateOutlet="data.tooltip; context: data.templateRefContext"></ng-container>
                </ng-container>
                <ng-template #stringTmpl>
                    <div [outerHTML]="data.tooltip"></div>
                </ng-template>
            </div>
        </div>
    `,
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], () => [{ type: undefined, decorators: [{
                type: Inject,
                args: [TOOLTIP_CONTEXT_TOKEN]
            }] }], null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TooltipContainerComponent, { className: "TooltipContainerComponent" }); })();
