import { SimpleChange } from "@angular/core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class ChartUtils {
    static ANIMATION_DURATION: number;
    static ANIMATION_EASING: (normalizedTime: number) => number;
    private _chartResize$;
    chartResize$: Observable<any>;
    constructor();
    static areDatasetsEqual(a: Array<[number, number]>, b: Array<[number, number]>): boolean;
    static haveDomainsChanged(xDomain: SimpleChange, yDomain: SimpleChange): boolean;
    static hasInputChanged(input: SimpleChange): boolean;
    notifyChartResize(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartUtils, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChartUtils>;
}
