import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ChartComponent } from './chart.component';
import { PathDirective } from './path/path.directive';
import { XAxisDirective } from './axis/x-axis.directive';
import { YAxisDirective } from './axis/y-axis.directive';
import { CircleDirective } from './circle/circle.directive';
import { BrushDirective } from './brush/brush.directive';
import { BarDirective } from './bar/bar.directive';
import { AreaDirective } from './area/area.directive';
import { ChartTooltipDirective } from './tooltip/chart-tooltip.directive';
import { ResizeObserverModule } from '../resize-observer';
import { ForeignObjectDirective } from './foreign-object/foreign-object.directive';
import { TextDirective } from './text/text.directive';
import * as i0 from "@angular/core";
export class ChartsModule {
}
ChartsModule.ɵfac = function ChartsModule_Factory(t) { return new (t || ChartsModule)(); };
ChartsModule.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: ChartsModule });
ChartsModule.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
        ResizeObserverModule] });
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ChartsModule, [{
        type: NgModule,
        args: [{
                imports: [
                    CommonModule,
                    ResizeObserverModule
                ],
                declarations: [
                    ChartComponent,
                    PathDirective,
                    XAxisDirective,
                    YAxisDirective,
                    CircleDirective,
                    BrushDirective,
                    BarDirective,
                    AreaDirective,
                    ChartTooltipDirective,
                    ForeignObjectDirective,
                    TextDirective
                ],
                exports: [
                    ChartComponent,
                    PathDirective,
                    XAxisDirective,
                    YAxisDirective,
                    CircleDirective,
                    BrushDirective,
                    BarDirective,
                    AreaDirective,
                    ChartTooltipDirective,
                    ForeignObjectDirective,
                    TextDirective
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(ChartsModule, { declarations: [ChartComponent,
        PathDirective,
        XAxisDirective,
        YAxisDirective,
        CircleDirective,
        BrushDirective,
        BarDirective,
        AreaDirective,
        ChartTooltipDirective,
        ForeignObjectDirective,
        TextDirective], imports: [CommonModule,
        ResizeObserverModule], exports: [ChartComponent,
        PathDirective,
        XAxisDirective,
        YAxisDirective,
        CircleDirective,
        BrushDirective,
        BarDirective,
        AreaDirective,
        ChartTooltipDirective,
        ForeignObjectDirective,
        TextDirective] }); })();
