import { QueryList, AfterContentInit, OnDestroy, ElementRef, ChangeDetectorRef } from '@angular/core';
import { DropdownService } from "./dropdown.service";
import { DropdownDirective } from "./dropdown.directive";
import * as i0 from "@angular/core";
export declare class DropdownMenuDirective implements AfterContentInit, OnDestroy {
    private _service;
    private _element;
    private _cdRef;
    nestedDropdowns: QueryList<DropdownDirective>;
    private _destroyed$;
    constructor(_service: DropdownService, _element: ElementRef<HTMLElement>, _cdRef: ChangeDetectorRef);
    ngAfterContentInit(): void;
    private _subscribeToScrollPosition;
    private _scrollToActiveElement;
    private _subscribeToChildrenVisbilityToggle;
    onClick(event: MouseEvent): void;
    private _shouldCloseOnMenuClick;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownMenuDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownMenuDirective, "[nwDropdownMenu]", ["nw-dropdown-menu"], {}, {}, ["nestedDropdowns"], never, false, never>;
}
