import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FeatureAlertsService } from './feature-alerts.service';
import { WindowRef } from './windowref';
import { HotspotComponent } from "./hotspot.component";
import { FeatureAlertsDirective } from './feature-alerts.directive';
import * as i0 from "@angular/core";
export class FeatureAlertsModule {
    static forRoot() {
        return {
            ngModule: FeatureAlertsModule,
            providers: [FeatureAlertsService]
        };
    }
}
FeatureAlertsModule.ɵfac = function FeatureAlertsModule_Factory(t) { return new (t || FeatureAlertsModule)(); };
FeatureAlertsModule.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: FeatureAlertsModule });
FeatureAlertsModule.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ providers: [WindowRef], imports: [CommonModule] });
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(FeatureAlertsModule, [{
        type: NgModule,
        args: [{
                imports: [
                    CommonModule
                ],
                providers: [WindowRef],
                declarations: [
                    HotspotComponent,
                    FeatureAlertsDirective
                ],
                exports: [
                    HotspotComponent,
                    FeatureAlertsDirective
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(FeatureAlertsModule, { declarations: [HotspotComponent,
        FeatureAlertsDirective], imports: [CommonModule], exports: [HotspotComponent,
        FeatureAlertsDirective] }); })();
