import { ChangeDetectionStrategy, Component } from '@angular/core';
import { animate, keyframes, style, transition, trigger } from '@angular/animations';
import { Toast } from './Toast';
import * as i0 from "@angular/core";
import * as i1 from "@angular/platform-browser";
import * as i2 from "@angular/common";
const _c0 = (a0, a1) => [a0, a1];
function ToastsComponent_div_1_i_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "i", 8);
} }
function ToastsComponent_div_1_i_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "i", 9);
} }
function ToastsComponent_div_1_ng_container_3_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0);
} }
function ToastsComponent_div_1_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, ToastsComponent_div_1_ng_container_3_ng_container_1_Template, 1, 0, "ng-container", 10);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const toast_r1 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", toast_r1.message);
} }
function ToastsComponent_div_1_p_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "p", 11);
} if (rf & 2) {
    const toast_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("innerHTML", ctx_r1.getInnerHTML(toast_r1.message), i0.ɵɵsanitizeHtml);
} }
function ToastsComponent_div_1_button_5_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 12);
    i0.ɵɵlistener("click", function ToastsComponent_div_1_button_5_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r3); const toast_r1 = i0.ɵɵnextContext().$implicit; const ctx_r1 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r1.dismiss(toast_r1)); });
    i0.ɵɵelement(1, "i", 13);
    i0.ɵɵelementEnd();
} }
function ToastsComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 2);
    i0.ɵɵtemplate(1, ToastsComponent_div_1_i_1_Template, 1, 0, "i", 3)(2, ToastsComponent_div_1_i_2_Template, 1, 0, "i", 4)(3, ToastsComponent_div_1_ng_container_3_Template, 2, 1, "ng-container", 5)(4, ToastsComponent_div_1_p_4_Template, 1, 1, "p", 6)(5, ToastsComponent_div_1_button_5_Template, 2, 0, "button", 7);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const toast_r1 = ctx.$implicit;
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("@slideInOut", undefined)("ngClass", i0.ɵɵpureFunction2(7, _c0, "toast-" + toast_r1.typeId, "size-" + toast_r1.size));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", toast_r1.typeId === "success");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", toast_r1.typeId === "error");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.isTemplateRef(toast_r1.message));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r1.isTemplateRef(toast_r1.message));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", toast_r1.isDismissable);
} }
export class ToastsComponent {
    constructor(_cdRef, _domSanitizer) {
        this._cdRef = _cdRef;
        this._domSanitizer = _domSanitizer;
        this.toasts = [];
    }
    isTemplateRef(value) {
        return typeof value !== 'string';
    }
    getInnerHTML(message) {
        return this._domSanitizer.bypassSecurityTrustHtml(message);
    }
    success(message) {
        const toast = {
            message: message,
            typeId: 'success',
            isDismissable: false
        };
        return this.show(toast);
    }
    error(message) {
        const toast = {
            message: message,
            typeId: 'error',
            isDismissable: true
        };
        return this.show(toast);
    }
    show(toast) {
        const _toast = new Toast(toast);
        this.toasts.push(_toast);
        this._cdRef.detectChanges();
        if (_toast.autoDismiss) {
            setTimeout(() => {
                this.removeToast(_toast);
            }, _toast.dismissTimeout);
        }
        return _toast;
    }
    dismiss(toast) {
        this.removeToast(toast);
    }
    removeToast(toast) {
        const index = this.getToastIndex(toast);
        if (index > -1) {
            this.toasts.splice(index, 1);
            this._cdRef.detectChanges();
        }
    }
    getToastIndex(toast) {
        return this.toasts.indexOf(toast);
    }
}
ToastsComponent.ɵfac = function ToastsComponent_Factory(t) { return new (t || ToastsComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i1.DomSanitizer)); };
ToastsComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: ToastsComponent, selectors: [["nw-toasts"]], decls: 2, vars: 1, consts: [[1, "toasts-container"], ["class", "toast", 3, "ngClass", 4, "ngFor", "ngForOf"], [1, "toast", 3, "ngClass"], ["class", "fas fa-check toast-icon", 4, "ngIf"], ["class", "fas fa-exclamation toast-icon", 4, "ngIf"], [4, "ngIf"], ["class", "toast-message", 3, "innerHTML", 4, "ngIf"], ["class", "btn btn-md btn-ghost-alt btn-no-padding close-button", 3, "click", 4, "ngIf"], [1, "fas", "fa-check", "toast-icon"], [1, "fas", "fa-exclamation", "toast-icon"], [4, "ngTemplateOutlet"], [1, "toast-message", 3, "innerHTML"], [1, "btn", "btn-md", "btn-ghost-alt", "btn-no-padding", "close-button", 3, "click"], [1, "far", "fa-times"]], template: function ToastsComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵelementStart(0, "div", 0);
        i0.ɵɵtemplate(1, ToastsComponent_div_1_Template, 6, 10, "div", 1);
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵadvance();
        i0.ɵɵproperty("ngForOf", ctx.toasts);
    } }, dependencies: [i2.NgClass, i2.NgForOf, i2.NgIf, i2.NgTemplateOutlet], encapsulation: 2, data: { animation: [
            trigger('slideInOut', [
                transition(':enter', [
                    animate('0.6s cubic-bezier(0.68, 0, 0.265, 1.75)', keyframes([
                        style({ opacity: 0, transform: 'translate3d(0, -100px, 0)', offset: 0 }),
                        style({ opacity: 1, transform: 'translate3d(0, -66px, 0)', offset: 0.33 }),
                        style({ transform: 'translate3d(0, 0, 0)', offset: 1 })
                    ]))
                ]),
                transition(':leave', [
                    animate('0.8s linear', keyframes([
                        style({ opacity: 0, top: 0, transform: 'translate3d(0, -500px, 0)', offset: 0.8 }),
                        // Give the element no apparent height to cause stacked items to animate to their new positions
                        style({ height: 0, offset: 1 })
                    ]))
                ])
            ])
        ] }, changeDetection: 0 });
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ToastsComponent, [{
        type: Component,
        args: [{
                selector: 'nw-toasts',
                template: `
        <div class="toasts-container">
            <div class="toast" *ngFor="let toast of toasts" [@slideInOut]
                [ngClass]="['toast-' + toast.typeId, 'size-' + toast.size]">
                <i class="fas fa-check toast-icon" *ngIf="toast.typeId === 'success'"></i>
                <i class="fas fa-exclamation toast-icon" *ngIf="toast.typeId === 'error'"></i>

                <!-- If templateRef render via ngTemplateOutlet-->
                <ng-container *ngIf="isTemplateRef(toast.message)">
                    <ng-container *ngTemplateOutlet="toast.message"></ng-container>
                </ng-container>

                <p *ngIf="!isTemplateRef(toast.message)" class="toast-message" [innerHTML]="getInnerHTML(toast.message)"></p>

                <button class="btn btn-md btn-ghost-alt btn-no-padding close-button" *ngIf="toast.isDismissable" (click)="dismiss(toast)">
                    <i class="far fa-times"></i>
                </button>
            </div>
        </div>
    `,
                animations: [
                    trigger('slideInOut', [
                        transition(':enter', [
                            animate('0.6s cubic-bezier(0.68, 0, 0.265, 1.75)', keyframes([
                                style({ opacity: 0, transform: 'translate3d(0, -100px, 0)', offset: 0 }),
                                style({ opacity: 1, transform: 'translate3d(0, -66px, 0)', offset: 0.33 }),
                                style({ transform: 'translate3d(0, 0, 0)', offset: 1 })
                            ]))
                        ]),
                        transition(':leave', [
                            animate('0.8s linear', keyframes([
                                style({ opacity: 0, top: 0, transform: 'translate3d(0, -500px, 0)', offset: 0.8 }),
                                // Give the element no apparent height to cause stacked items to animate to their new positions
                                style({ height: 0, offset: 1 })
                            ]))
                        ])
                    ])
                ],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], () => [{ type: i0.ChangeDetectorRef }, { type: i1.DomSanitizer }], null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(ToastsComponent, { className: "ToastsComponent" }); })();
