import { OnChanges, SimpleChanges } from "@angular/core";
import { IWord } from "./models/IWord";
import { IWordWithPosition } from "./models/IWordWithPosition";
import * as i0 from "@angular/core";
export declare class WordComponent<T extends IWord> implements OnChanges {
    word: IWordWithPosition<T>;
    translate: string;
    fontSize: number;
    lineHeight: number;
    width: number;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WordComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WordComponent<any>, "nw-word", never, { "word": { "alias": "word"; "required": false; }; }, {}, never, never, false, never>;
}
