import { ChangeDetectionStrategy, Component, HostBinding, Input } from "@angular/core";
import * as i0 from "@angular/core";
export class WordComponent {
    ngOnChanges(changes) {
        var _a, _b;
        if (((_a = changes.word) === null || _a === void 0 ? void 0 : _a.currentValue) !== ((_b = changes.word) === null || _b === void 0 ? void 0 : _b.previousValue)) {
            this.translate = `${this.word.x}px ${this.word.y}px`;
            this.fontSize = this.word.fontSize;
            this.lineHeight = this.word.height;
            this.width = this.word.width;
        }
    }
}
WordComponent.ɵfac = function WordComponent_Factory(t) { return new (t || WordComponent)(); };
WordComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: WordComponent, selectors: [["nw-word"]], hostVars: 8, hostBindings: function WordComponent_HostBindings(rf, ctx) { if (rf & 2) {
        i0.ɵɵstyleProp("translate", ctx.translate)("font-size", ctx.fontSize, "px")("line-height", ctx.lineHeight, "px")("width", ctx.width, "px");
    } }, inputs: { word: "word" }, features: [i0.ɵɵNgOnChangesFeature], decls: 1, vars: 1, template: function WordComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtext(0);
    } if (rf & 2) {
        i0.ɵɵtextInterpolate(ctx.word.truncatedValue);
    } }, encapsulation: 2, changeDetection: 0 });
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(WordComponent, [{
        type: Component,
        args: [{ selector: 'nw-word', changeDetection: ChangeDetectionStrategy.OnPush, template: "{{word.truncatedValue}}" }]
    }], null, { word: [{
            type: Input
        }], translate: [{
            type: HostBinding,
            args: ['style.translate']
        }], fontSize: [{
            type: HostBinding,
            args: ['style.fontSize.px']
        }], lineHeight: [{
            type: HostBinding,
            args: ['style.lineHeight.px']
        }], width: [{
            type: HostBinding,
            args: ['style.width.px']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(WordComponent, { className: "WordComponent" }); })();
